NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::BlendCurve3DBuilder Class Reference

Represents a NXOpen::Tooling::BlendCurve3DBuilder builder which implements blend curves in one side where the corner radius is too small. More...

Inheritance diagram for NXOpen::Tooling::BlendCurve3DBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  BlendCurveOptions { BlendCurveOptionsBestFit, BlendCurveOptionsVariable, BlendCurveOptionsVector, BlendCurveOptionsCurrentView }
 The blend curve creation methods: Best Fit, Variable, Vector, Current View. More...
 
enum  InputCurvesOption { InputCurvesOptionKeep, InputCurvesOptionHide, InputCurvesOptionDelete }
 The input curves option to keep, hide or delete input curves. More...
 

Public Member Functions

NXOpen::Tooling::BlendCurve3DBuilder::BlendCurveOptions BlendCurveOption ()
 Returns the blend curve option
Created in NX9.0.2. More...
 
NXOpen::ScCollectorCornerFillet ()
 Returns the corners to blend. More...
 
std::vector< NXOpen::Curve * > CreateBlendCurves ()
 Creates the blend curves for preview. More...
 
NXOpen::ScCollectorCurveBlend ()
 Returns the curves to blend. More...
 
void DeleteBlendCurves (const std::vector< NXOpen::Curve * > &blendCurves)
 Delete the preview blend curves. More...
 
double DistanceTolerance ()
 Returns the distance tolerance. More...
 
NXOpen::Tooling::BlendCurve3DBuilder::InputCurvesOption InputCurves ()
 Returns the input curves
Created in NX9.0.0. More...
 
double MinimalRadius ()
 Returns the minimal radius of the corner to blend. More...
 
NXOpen::DirectionReferenceDirection ()
 Returns the reference direction from which to get the curve blend side. More...
 
bool ReverseSide ()
 Returns the flag of reverse curve blend side. More...
 
void SaveFilletCurves ()
 Save the corner fillet curves. More...
 
void SetBlendCurveOption (NXOpen::Tooling::BlendCurve3DBuilder::BlendCurveOptions blendCurveOption)
 Sets the blend curve option
Created in NX9.0.2. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance. More...
 
void SetInputCurves (NXOpen::Tooling::BlendCurve3DBuilder::InputCurvesOption inputCurves)
 Sets the input curves
Created in NX9.0.0. More...
 
void SetMinimalRadius (double minimalRadius)
 Sets the minimal radius of the corner to blend. More...
 
void SetReferenceDirection (NXOpen::Direction *referenceDirection)
 Sets the reference direction from which to get the curve blend side. More...
 
void SetReverseSide (bool reverseSide)
 Sets the flag of reverse curve blend side. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Tooling::BlendCurve3DBuilder builder which implements blend curves in one side where the corner radius is too small.

This builder's Commit generally can produce only one (sometimes more than one) new blended curve, the GetCommittedObjects can be used to get the objects. The input curves will be deleted.
To create a new instance of this class, use NXOpen::Tooling::CAMDataManager::CreateBlendCurve3dBuilder
Default values.

Property Value

BlendCurveOption

Vector

DistanceTolerance

0.0254 (millimeters part), 0.001 (inches part)

InputCurves

Hide

MinimalRadius

10 (millimeters part), 0.4 (inches part)


Created in NX9.0.0.

Member Enumeration Documentation

The blend curve creation methods: Best Fit, Variable, Vector, Current View.

Enumerator
BlendCurveOptionsBestFit 

Create blend curve by best fit method.

BlendCurveOptionsVariable 

Create blend curve by variable method.

BlendCurveOptionsVector 

Create blend curve by vector method.

BlendCurveOptionsCurrentView 

Create blend curve by current view method.

The input curves option to keep, hide or delete input curves.

Enumerator
InputCurvesOptionKeep 

Keep input curves.

InputCurvesOptionHide 

Hide input curves.

InputCurvesOptionDelete 

Delete input curves.

Member Function Documentation

NXOpen::Tooling::BlendCurve3DBuilder::BlendCurveOptions NXOpen::Tooling::BlendCurve3DBuilder::BlendCurveOption ( )

Returns the blend curve option
Created in NX9.0.2.



License requirements : None

NXOpen::ScCollector* NXOpen::Tooling::BlendCurve3DBuilder::CornerFillet ( )

Returns the corners to blend.


Created in NX9.0.0.

License requirements : None

std::vector<NXOpen::Curve *> NXOpen::Tooling::BlendCurve3DBuilder::CreateBlendCurves ( )

Creates the blend curves for preview.

Returns

Created in NX9.0.0.

License requirements : None
NXOpen::ScCollector* NXOpen::Tooling::BlendCurve3DBuilder::CurveBlend ( )

Returns the curves to blend.


Created in NX9.0.0.

License requirements : None

void NXOpen::Tooling::BlendCurve3DBuilder::DeleteBlendCurves ( const std::vector< NXOpen::Curve * > &  blendCurves)

Delete the preview blend curves.


Created in NX9.0.0.

License requirements : None

Parameters
blendCurvesblendcurves
double NXOpen::Tooling::BlendCurve3DBuilder::DistanceTolerance ( )

Returns the distance tolerance.


Created in NX9.0.0.

License requirements : None

NXOpen::Tooling::BlendCurve3DBuilder::InputCurvesOption NXOpen::Tooling::BlendCurve3DBuilder::InputCurves ( )

Returns the input curves
Created in NX9.0.0.



License requirements : None

double NXOpen::Tooling::BlendCurve3DBuilder::MinimalRadius ( )

Returns the minimal radius of the corner to blend.


Created in NX9.0.0.

License requirements : None

NXOpen::Direction* NXOpen::Tooling::BlendCurve3DBuilder::ReferenceDirection ( )

Returns the reference direction from which to get the curve blend side.


Created in NX9.0.0.

License requirements : None

bool NXOpen::Tooling::BlendCurve3DBuilder::ReverseSide ( )

Returns the flag of reverse curve blend side.


Created in NX9.0.0.

License requirements : None

void NXOpen::Tooling::BlendCurve3DBuilder::SaveFilletCurves ( )

Save the corner fillet curves.


Created in NX9.0.0.

License requirements : None

void NXOpen::Tooling::BlendCurve3DBuilder::SetBlendCurveOption ( NXOpen::Tooling::BlendCurve3DBuilder::BlendCurveOptions  blendCurveOption)

Sets the blend curve option
Created in NX9.0.2.



License requirements : nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")

Parameters
blendCurveOptionblendcurveoption
void NXOpen::Tooling::BlendCurve3DBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Tooling::BlendCurve3DBuilder::SetInputCurves ( NXOpen::Tooling::BlendCurve3DBuilder::InputCurvesOption  inputCurves)

Sets the input curves
Created in NX9.0.0.



License requirements : nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")

Parameters
inputCurvesinputcurves
void NXOpen::Tooling::BlendCurve3DBuilder::SetMinimalRadius ( double  minimalRadius)

Sets the minimal radius of the corner to blend.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")

Parameters
minimalRadiusminimalradius
void NXOpen::Tooling::BlendCurve3DBuilder::SetReferenceDirection ( NXOpen::Direction referenceDirection)

Sets the reference direction from which to get the curve blend side.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")

Parameters
referenceDirectionreferencedirection
void NXOpen::Tooling::BlendCurve3DBuilder::SetReverseSide ( bool  reverseSide)

Sets the flag of reverse curve blend side.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")

Parameters
reverseSidereverseside

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.